%define oname   coffee-script-source

Name:       ruby-%{oname}
Version:    1.10.0
Release:    %mkrel 1
Summary:    The CoffeeScript Compiler
License:    MIT
Group:      Development/Ruby
URL:        http://jashkenas.github.com/coffee-script/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
CoffeeScript is a little language that compiles into JavaScript.
Underneath all of those embarrassing braces and semicolons,
JavaScript has always had a gorgeous object model at its heart.
CoffeeScript is an attempt to expose the good parts of JavaScript
in a simple way.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Thu Dec 31 2015 pterjan <pterjan> 1.10.0-1.mga6
+ Revision: 917318
- Update to 1.10.0

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-8.mga5
+ Revision: 746129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-7.mga5
+ Revision: 688768
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.4.0-6.mga4
+ Revision: 561804
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.4.0-5.mga4
+ Revision: 561081
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-4.mga4
+ Revision: 535905
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 395778
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 380710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 312778
- new version 1.4.0

* Fri Jun 08 2012 shlomif <shlomif> 1.3.3-1.mga3
+ Revision: 257856
- SPEC cleanup
- New version - 1.3.3

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.1-1.mga1
+ Revision: 51108
- imported package ruby-coffee-script-source


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.1-1
- Initial package
